import { ISbResponse, ISbError, ISbStoriesParams, ISbCustomFetch } from './interfaces';
export type ResponseFn = {
    (arg?: ISbResponse | any): any;
};
interface ISbFetch {
    baseURL: string;
    timeout?: number;
    headers: Headers;
    responseInterceptor?: ResponseFn;
    fetch?: typeof fetch;
}
declare class SbFetch {
    private baseURL;
    private timeout?;
    private headers;
    private responseInterceptor?;
    private fetch;
    private ejectInterceptor?;
    private url;
    private parameters;
    private fetchOptions;
    constructor($c: ISbFetch);
    /**
     *
     * @param url string
     * @param params ISbStoriesParams
     * @returns Promise<ISbResponse | Error>
     */
    get(url: string, params: ISbStoriesParams): Promise<ISbResponse | ISbError>;
    post(url: string, params: ISbStoriesParams): Promise<ISbResponse | ISbError>;
    put(url: string, params: ISbStoriesParams): Promise<ISbResponse | ISbError>;
    delete(url: string, params: ISbStoriesParams): Promise<ISbResponse | ISbError>;
    private _responseHandler;
    private _methodHandler;
    setFetchOptions(fetchOptions?: ISbCustomFetch): void;
    eject(): void;
    private _statusHandler;
}
export default SbFetch;
