import { ISbStoriesParams, ISbResult, AsyncFn } from './interfaces';
interface ISbParams extends ISbStoriesParams {
    [key: string]: any;
}
type ArrayFn = (...args: any) => void;
type FlatMapFn = (...args: any) => [] | any;
type RangeFn = (...args: any) => [];
export declare class SbHelpers {
    isCDNUrl: (url?: string) => boolean;
    getOptionsPage: (options: ISbStoriesParams, perPage?: number, page?: number) => {
        per_page: number;
        page: number;
        _stopResolving?: boolean | undefined;
        by_slugs?: string | undefined;
        by_uuids?: string | undefined;
        by_uuids_ordered?: string | undefined;
        component?: string | undefined;
        content_type?: string | undefined;
        cv?: number | undefined;
        datasource?: string | undefined;
        dimension?: string | undefined;
        excluding_fields?: string | undefined;
        excluding_ids?: string | undefined;
        excluding_slugs?: string | undefined;
        fallback_lang?: string | undefined;
        filename?: string | undefined;
        filter_query?: any;
        first_published_at_gt?: string | undefined;
        first_published_at_lt?: string | undefined;
        from_release?: string | undefined;
        is_startpage?: boolean | undefined;
        language?: string | undefined;
        level?: number | undefined;
        published_at_gt?: string | undefined;
        published_at_lt?: string | undefined;
        resolve_assets?: number | undefined;
        resolve_links?: "link" | "url" | "story" | "0" | "1" | undefined;
        resolve_relations?: string | string[] | undefined;
        search_term?: string | undefined;
        size?: string | undefined;
        sort_by?: string | undefined;
        starts_with?: string | undefined;
        token?: string | undefined;
        version?: "published" | "draft" | undefined;
        with_tag?: string | undefined;
        alternates?: import("./interfaces").ISbAlternateObject[] | undefined;
        breadcrumbs?: import("./interfaces").ISbLinkURLObject[] | undefined;
        content?: (import("./interfaces").ISbComponentType<string> & {
            [index: string]: any;
        }) | undefined;
        created_at?: string | undefined;
        default_full_slug?: string | undefined;
        default_root?: string | undefined;
        disble_fe_editor?: boolean | undefined;
        first_published_at?: string | undefined;
        full_slug?: string | undefined;
        group_id?: string | undefined;
        id?: number | undefined;
        imported_at?: string | undefined;
        is_folder?: boolean | undefined;
        lang?: string | undefined;
        last_author?: {
            id: number;
            userid: string;
        } | undefined;
        meta_data?: any;
        name?: string | undefined;
        parent?: import("./interfaces").ISbStoryData<import("./interfaces").ISbComponentType<string> & {
            [index: string]: any;
        }> | undefined;
        parent_id?: number | undefined;
        path?: string | undefined;
        pinned?: boolean | "1" | undefined;
        position?: number | undefined;
        published?: boolean | undefined;
        published_at?: string | null | undefined;
        release_id?: number | undefined;
        slug?: string | undefined;
        sort_by_date?: string | null | undefined;
        tag_list?: string[] | undefined;
        translated_slugs?: {
            path: string;
            name: string | null;
            lang: string;
        }[] | undefined;
        unpublished_changes?: boolean | undefined;
        updated_at?: string | undefined;
        uuid?: string | undefined;
        by_ids?: string | undefined;
        contain_component?: string | undefined;
        folder_only?: boolean | undefined;
        in_release?: string | undefined;
        in_trash?: boolean | undefined;
        is_published?: boolean | undefined;
        in_workflow_stages?: string | undefined;
        search?: string | undefined;
        story_only?: boolean | undefined;
        text_search?: string | undefined;
        with_parent?: number | undefined;
        with_slug?: string | undefined;
    };
    delay: (ms: number) => Promise<unknown>;
    arrayFrom: (length: number | undefined, func: ArrayFn) => void[];
    range: (start?: number, end?: number) => Array<any>;
    asyncMap: (arr: RangeFn[], func: AsyncFn) => Promise<([] | ISbResult)[]>;
    flatMap: (arr: ISbResult[] | undefined, func: FlatMapFn) => any;
    /**
     * @method stringify
     * @param  {Object} params
     * @param  {String} prefix
     * @param  {Boolean} isArray
     * @return {String} Stringified object
     */
    stringify(params: ISbParams, prefix?: string, isArray?: boolean): string;
    /**
     * @method getRegionURL
     * @param  {String} regionCode region code, could be eu, us, cn, ap or ca
     * @return {String} The base URL of the region
     */
    getRegionURL(regionCode?: string): string;
    /**
     * @method escapeHTML
     * @param  {String} string text to be parsed
     * @return {String} Text parsed
     */
    escapeHTML: (string: string) => string;
}
export {};
